tigase.jaxmpp.core.client.xmpp.modules

## Class PingModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.PingModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class PingModule
      extends AbstractIQModule

  Implementation of XEP-0199 XMPP Ping.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PingModule.PingAsyncCallback` Ping callback.

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PingModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `ping(JID jid, AsyncCallback asyncCallback)` Ping given XMPP entity.
    `void` | `ping(JID jidInstance, PingModule.PingAsyncCallback asyncCallback)` Ping given XMPP entity.
    `protected void` | `processGet(IQ stanza)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ stanza)` Method for processing stanza `<iq type='set'>`.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PingModule

          public PingModule()

  - ### Method Detail

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### ping

          public void ping(JID jid,
                           AsyncCallback asyncCallback)
                    throws JaxmppException

      Ping given XMPP entity.
      Parameters:
        `jid` - entity to ping.
        `asyncCallback` - general callback
      Throws:
        `JaxmppException`

    - #### ping

          public void ping(JID jidInstance,
                           PingModule.PingAsyncCallback asyncCallback)
                    throws JaxmppException

      Ping given XMPP entity.
      Parameters:
        `jid` - entity to ping.
        `asyncCallback` - ping callback
      Throws:
        `JaxmppException`

    - #### processGet

          protected void processGet(IQ stanza)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `stanza` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ stanza)
                             throws XMPPException,
                                    XMLException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `stanza` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`

Copyright © 2006–2016 Tigase. All rights reserved.